| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFAutomationDelegate Class Referenceabstract

`#include <AAX_IACFAutomationDelegate.h>`

Inheritance diagram for AAX_IACFAutomationDelegate:
[legend]
Collaboration diagram for AAX_IACFAutomationDelegate:
[legend]

## Description

Versioned interface allowing an AAX plug-in to interact with the host's automation system.

See also
  Parameter updates
  AAX_IAutomationDelegate

## Public Member Functions
virtual AAX_Result | RegisterParameter (AAX_CParamID iParameterID)=0
virtual AAX_Result | UnregisterParameter (AAX_CParamID iParameterID)=0
virtual AAX_Result | PostSetValueRequest (AAX_CParamID iParameterID, double normalizedValue) const =0
virtual AAX_Result | PostCurrentValue (AAX_CParamID iParameterID, double normalizedValue) const =0
virtual AAX_Result | PostTouchRequest (AAX_CParamID iParameterID)=0
virtual AAX_Result | PostReleaseRequest (AAX_CParamID iParameterID)=0
virtual AAX_Result | GetTouchState (AAX_CParamID iParameterID, AAX_CBoolean *oTouched)=0
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ RegisterParameter()

virtual AAX_Result AAX_IACFAutomationDelegate::RegisterParameter | ( | AAX_CParamID | iParameterID | ) |
| pure virtual

Register a control with the automation system using a char* based control identifier

The automation delegate owns a list of the IDs of all of the parameters that have been registered with it. This list is used to set up listeners for all of the registered parameters such that the automation delegate may update the plug-in when the state of any of the registered parameters have been modified.

See also
  AAX_IAutomationDelegate::UnregisterParameter()

Parameters

  [in] | iParameterID | Parameter ID that is being registered

## ◆ UnregisterParameter()

virtual AAX_Result AAX_IACFAutomationDelegate::UnregisterParameter | ( | AAX_CParamID | iParameterID | ) |
| pure virtual

Unregister a control with the automation system using a char* based control identifier

Note
  All registered controls should be unregistered or the system might leak.

See also
  AAX_IAutomationDelegate::RegisterParameter()

Parameters

  [in] | iParameterID | Parameter ID that is being registered

## ◆ PostSetValueRequest()

virtual AAX_Result AAX_IACFAutomationDelegate::PostSetValueRequest | ( | AAX_CParamID | iParameterID,
|  | double | normalizedValue
| ) |  | const
| pure virtual

Submits a request for the given parameter's value to be changed

Parameters

  [in] | iParameterID | ID of the parameter for which a change is requested
  [in] | normalizedValue | The requested new parameter value, formatted as a double and normalized to [0 1]

## ◆ PostCurrentValue()

virtual AAX_Result AAX_IACFAutomationDelegate::PostCurrentValue | ( | AAX_CParamID | iParameterID,
|  | double | normalizedValue
| ) |  | const
| pure virtual

Notifies listeners that a parameter's value has changed

Parameters

  [in] | iParameterID | ID of the parameter that has been updated
  [in] | normalizedValue | The current parameter value, formatted as a double and normalized to [0 1]

## ◆ PostTouchRequest()

virtual AAX_Result AAX_IACFAutomationDelegate::PostTouchRequest | ( | AAX_CParamID | iParameterID | ) |
| pure virtual

Requests that the given parameter be "touched", i.e. locked for updates by the current client

Parameters

  [in] | iParameterID | ID of the parameter that will be touched

## ◆ PostReleaseRequest()

virtual AAX_Result AAX_IACFAutomationDelegate::PostReleaseRequest | ( | AAX_CParamID | iParameterID | ) |
| pure virtual

Requests that the given parameter be "released", i.e. available for updates from any client

Parameters

  [in] | iParameterID | ID of the parameter that will be released

## ◆ GetTouchState()

virtual AAX_Result AAX_IACFAutomationDelegate::GetTouchState | ( | AAX_CParamID | iParameterID,
|  | AAX_CBoolean * | oTouched
| ) |  |
| pure virtual

Gets the current touched state of a parameter

Parameters

  [in] | iParameterID | ID of the parameter that is being queried
  [out] | oTouched | The current touch state of the parameter

The documentation for this class was generated from the following file:

- AAX_IACFAutomationDelegate.h